source: squid-ssl/trunk/fuentes/lib/profiler/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 39.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# lib/profiler/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93subdir = lib/profiler
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libprofiler_la_LIBADD =
162am__libprofiler_la_SOURCES_DIST = get_tick.h Profiler.cc Profiler.h \
163        xprof_type.h
164am__objects_1 = Profiler.lo
165#am_libprofiler_la_OBJECTS = $(am__objects_1)
166libprofiler_la_OBJECTS = $(am_libprofiler_la_OBJECTS)
167AM_V_lt = $(am__v_lt_$(V))
168am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
169am__v_lt_0 = --silent
170am__v_lt_1 = 
171#am_libprofiler_la_rpath =
172AM_V_P = $(am__v_P_$(V))
173am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
174am__v_P_0 = false
175am__v_P_1 = :
176AM_V_GEN = $(am__v_GEN_$(V))
177am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
178am__v_GEN_0 = @echo "  GEN     " $@;
179am__v_GEN_1 = 
180AM_V_at = $(am__v_at_$(V))
181am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
182am__v_at_0 = @
183am__v_at_1 = 
184DEFAULT_INCLUDES = 
185depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
186am__depfiles_maybe = depfiles
187am__mv = mv -f
188CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
190LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
191        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
192        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
193        $(AM_CXXFLAGS) $(CXXFLAGS)
194AM_V_CXX = $(am__v_CXX_$(V))
195am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
196am__v_CXX_0 = @echo "  CXX     " $@;
197am__v_CXX_1 = 
198CXXLD = $(CXX)
199CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
200        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
201        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
202AM_V_CXXLD = $(am__v_CXXLD_$(V))
203am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
204am__v_CXXLD_0 = @echo "  CXXLD   " $@;
205am__v_CXXLD_1 = 
206COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
207        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
208LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
210        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
211        $(AM_CFLAGS) $(CFLAGS)
212AM_V_CC = $(am__v_CC_$(V))
213am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
214am__v_CC_0 = @echo "  CC      " $@;
215am__v_CC_1 = 
216CCLD = $(CC)
217LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
218        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
219        $(AM_LDFLAGS) $(LDFLAGS) -o $@
220AM_V_CCLD = $(am__v_CCLD_$(V))
221am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
222am__v_CCLD_0 = @echo "  CCLD    " $@;
223am__v_CCLD_1 = 
224SOURCES = $(libprofiler_la_SOURCES)
225DIST_SOURCES = $(am__libprofiler_la_SOURCES_DIST)
226am__can_run_installinfo = \
227  case $$AM_UPDATE_INFO_DIR in \
228    n|no|NO) false;; \
229    *) (install-info --version) >/dev/null 2>&1;; \
230  esac
231am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
232# Read a list of newline-separated strings from the standard input,
233# and print each of them once, without duplicates.  Input order is
234# *not* preserved.
235am__uniquify_input = $(AWK) '\
236  BEGIN { nonempty = 0; } \
237  { items[$$0] = 1; nonempty = 1; } \
238  END { if (nonempty) { for (i in items) print i; }; } \
239'
240# Make sure the list of sources is unique.  This is necessary because,
241# e.g., the same source file might be shared among _SOURCES variables
242# for different programs/libraries.
243am__define_uniq_tagged_files = \
244  list='$(am__tagged_files)'; \
245  unique=`for i in $$list; do \
246    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
247  done | $(am__uniquify_input)`
248ETAGS = etags
249CTAGS = ctags
250am__tty_colors_dummy = \
251  mgn= red= grn= lgn= blu= brg= std=; \
252  am__color_tests=no
253am__tty_colors = { \
254  $(am__tty_colors_dummy); \
255  if test "X$(AM_COLOR_TESTS)" = Xno; then \
256    am__color_tests=no; \
257  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
258    am__color_tests=yes; \
259  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
260    am__color_tests=yes; \
261  fi; \
262  if test $$am__color_tests = yes; then \
263    red='[0;31m'; \
264    grn='[0;32m'; \
265    lgn='[1;32m'; \
266    blu='[1;34m'; \
267    mgn='[0;35m'; \
268    brg='[1m'; \
269    std='[m'; \
270  fi; \
271}
272am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
273am__vpath_adj = case $$p in \
274    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
275    *) f=$$p;; \
276  esac;
277am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
278am__install_max = 40
279am__nobase_strip_setup = \
280  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
281am__nobase_strip = \
282  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
283am__nobase_list = $(am__nobase_strip_setup); \
284  for p in $$list; do echo "$$p $$p"; done | \
285  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
286  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
287    if (++n[$$2] == $(am__install_max)) \
288      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
289    END { for (dir in files) print dir, files[dir] }'
290am__base_list = \
291  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
292  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
293am__uninstall_files_from_dir = { \
294  test -z "$$files" \
295    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
296    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
297         $(am__cd) "$$dir" && rm -f $$files; }; \
298  }
299am__recheck_rx = ^[     ]*:recheck:[    ]*
300am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
301am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
302# A command that, given a newline-separated list of test names on the
303# standard input, print the name of the tests that are to be re-run
304# upon "make recheck".
305am__list_recheck_tests = $(AWK) '{ \
306  recheck = 1; \
307  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
308    { \
309      if (rc < 0) \
310        { \
311          if ((getline line2 < ($$0 ".log")) < 0) \
312            recheck = 0; \
313          break; \
314        } \
315      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
316        { \
317          recheck = 0; \
318          break; \
319        } \
320      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
321        { \
322          break; \
323        } \
324    }; \
325  if (recheck) \
326    print $$0; \
327  close ($$0 ".trs"); \
328  close ($$0 ".log"); \
329}'
330# A command that, given a newline-separated list of test names on the
331# standard input, create the global log from their .trs and .log files.
332am__create_global_log = $(AWK) ' \
333function fatal(msg) \
334{ \
335  print "fatal: making $@: " msg | "cat >&2"; \
336  exit 1; \
337} \
338function rst_section(header) \
339{ \
340  print header; \
341  len = length(header); \
342  for (i = 1; i <= len; i = i + 1) \
343    printf "="; \
344  printf "\n\n"; \
345} \
346{ \
347  copy_in_global_log = 1; \
348  global_test_result = "RUN"; \
349  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
350    { \
351      if (rc < 0) \
352         fatal("failed to read from " $$0 ".trs"); \
353      if (line ~ /$(am__global_test_result_rx)/) \
354        { \
355          sub("$(am__global_test_result_rx)", "", line); \
356          sub("[        ]*$$", "", line); \
357          global_test_result = line; \
358        } \
359      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
360        copy_in_global_log = 0; \
361    }; \
362  if (copy_in_global_log) \
363    { \
364      rst_section(global_test_result ": " $$0); \
365      while ((rc = (getline line < ($$0 ".log"))) != 0) \
366      { \
367        if (rc < 0) \
368          fatal("failed to read from " $$0 ".log"); \
369        print line; \
370      }; \
371      printf "\n"; \
372    }; \
373  close ($$0 ".trs"); \
374  close ($$0 ".log"); \
375}'
376# Restructured Text title.
377am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
378# Solaris 10 'make', and several other traditional 'make' implementations,
379# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
380# by disabling -e (using the XSI extension "set +e") if it's set.
381am__sh_e_setup = case $$- in *e*) set +e;; esac
382# Default flags passed to test drivers.
383am__common_driver_flags = \
384  --color-tests "$$am__color_tests" \
385  --enable-hard-errors "$$am__enable_hard_errors" \
386  --expect-failure "$$am__expect_failure"
387# To be inserted before the command running the test.  Creates the
388# directory for the log if needed.  Stores in $dir the directory
389# containing $f, in $tst the test, in $log the log.  Executes the
390# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
391# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
392# will run the test scripts (or their associated LOG_COMPILER, if
393# thy have one).
394am__check_pre = \
395$(am__sh_e_setup);                                      \
396$(am__vpath_adj_setup) $(am__vpath_adj)                 \
397$(am__tty_colors);                                      \
398srcdir=$(srcdir); export srcdir;                        \
399case "$@" in                                            \
400  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
401    *) am__odir=.;;                                     \
402esac;                                                   \
403test "x$$am__odir" = x"." || test -d "$$am__odir"       \
404  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
405if test -f "./$$f"; then dir=./;                        \
406elif test -f "$$f"; then dir=;                          \
407else dir="$(srcdir)/"; fi;                              \
408tst=$$dir$$f; log='$@';                                 \
409if test -n '$(DISABLE_HARD_ERRORS)'; then               \
410  am__enable_hard_errors=no;                            \
411else                                                    \
412  am__enable_hard_errors=yes;                           \
413fi;                                                     \
414case " $(XFAIL_TESTS) " in                              \
415  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
416    am__expect_failure=yes;;                            \
417  *)                                                    \
418    am__expect_failure=no;;                             \
419esac;                                                   \
420$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
421# A shell command to get the names of the tests scripts with any registered
422# extension removed (i.e., equivalently, the names of the test logs, with
423# the '.log' extension removed).  The result is saved in the shell variable
424# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
425# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
426# since that might cause problem with VPATH rewrites for suffix-less tests.
427# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
428am__set_TESTS_bases = \
429  bases='$(TEST_LOGS)'; \
430  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
431  bases=`echo $$bases`
432RECHECK_LOGS = $(TEST_LOGS)
433AM_RECURSIVE_TARGETS = check recheck
434TEST_SUITE_LOG = test-suite.log
435TEST_EXTENSIONS =  .test
436LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
437LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
438am__set_b = \
439  case '$@' in \
440    */*) \
441      case '$*' in \
442        */*) b='$*';; \
443          *) b=`echo '$@' | sed 's/\.log$$//'`; \
444       esac;; \
445    *) \
446      b='$*';; \
447  esac
448am__test_logs1 = $(TESTS:=.log)
449am__test_logs2 = $(am__test_logs1:.log=.log)
450TEST_LOGS = $(am__test_logs2:.test.log=.log)
451TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
453        $(TEST_LOG_FLAGS)
454am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
455        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
456        $(top_srcdir)/src/TestHeaders.am
457DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
458ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
459ADAPTATION_LIBS = adaptation/libadaptation.la
460ALLOCA =
461AMTAR = $${TAR-tar}
462AM_DEFAULT_VERBOSITY = 1
463AR = /usr/bin/ar
464AR_R = /usr/bin/ar r
465AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
466AUTH_MODULES =  basic digest negotiate ntlm
467AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
468AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
469AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
470AWK = gawk
471BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
472BUILDCXX = g++
473BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
474BZR =
475CACHE_EFFECTIVE_USER = proxy
476CC = gcc
477CCDEPMODE = depmode=none
478CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
479CGIEXT = .cgi
480CHMOD = /bin/chmod
481CPP = gcc -E
482CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
483CPPUNITCONFIG = /usr/bin/cppunit-config
484CRYPTLIB = -lcrypt
485CXX = g++
486CXXCPP = g++ -E
487CXXDEPMODE = depmode=none
488CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
489CYGPATH_W = echo
490DEFAULT_HOSTS = /etc/hosts
491DEFAULT_LOG_DIR = /var/log/squid-ssl
492DEFAULT_PID_FILE = /var/run/squid-ssl.pid
493DEFAULT_SWAP_DIR = /var/spool/squid-ssl
494DEFS = -DHAVE_CONFIG_H
495DEPDIR = .deps
496DIGEST_AUTH_HELPERS =  file LDAP
497DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
498DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
499DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
500DISK_OS_LIBS =  -lrt -lpthread
501DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
502DLLTOOL = false
503DSYMUTIL =
504DUMPBIN =
505ECAP_LIBS = ecap/libsquid-ecap.la
506ECHO_C =
507ECHO_N = -n
508ECHO_T =
509EGREP = /bin/egrep
510EPOLL_LIBS =
511EUILIB =
512EXEEXT =
513EXPATLIB = -lexpat
514EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
515EXT_LIBECAP_CFLAGS =
516EXT_LIBECAP_LIBS = -lecap
517FALSE = /bin/false
518FGREP = /bin/fgrep
519GREP = grep
520HAVE_CXX11 = 1
521ICAP_LIBS = icap/libicap.la
522INCLTDL =
523INSTALL = /usr/bin/install -c
524INSTALL_DATA = ${INSTALL} -m 644
525INSTALL_PROGRAM = ${INSTALL}
526INSTALL_SCRIPT = ${INSTALL}
527INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
528KRB5INCS = -isystem /usr/include/mit-krb5
529KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
530LBERLIB = -llber
531LD = /usr/bin/ld -m elf_x86_64
532LDAPLIB = -lldap
533LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
534LIBADD_DL = -ldl
535LIBADD_DLD_LINK =
536LIBADD_DLOPEN = -ldl
537LIBADD_SHL_LOAD =
538LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
539LIBGNUTLS_LIBS = -lgnutls
540LIBLTDL = -lltdl
541LIBOBJS =
542LIBOPENSSL_CFLAGS =
543LIBOPENSSL_LIBS = -lssl -lcrypto
544LIBS =
545LIBSASL = -lsasl2
546LIBTOOL = $(SHELL) $(top_builddir)/libtool
547LIB_DB = -ldb
548LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
549LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
550LINUXDOC = /bin/false
551LIPO =
552LN = /bin/ln
553LN_S = ln -s
554LOG_DAEMON_HELPERS =  DB file
555LTDLDEPS =
556LTDLINCL =
557LTDLOPEN = libltdl
558LTLIBOBJS =
559LT_ARGZ_H =
560LT_CONFIG_H = include/autoconf.h
561LT_DLLOADERS =  libltdl/dlopen.la
562LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
563LT_SYS_LIBRARY_PATH =
564MAINT = #
565MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
566MANIFEST_TOOL = :
567MINGW_LIBS =
568MKDIR = /bin/mkdir
569MKDIR_P = /bin/mkdir -p
570MV = /bin/mv
571NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
572NETTLELIB =  -lnettle
573NM = /usr/bin/nm -B
574NMEDIT =
575NTLM_AUTH_HELPERS =  fake smb_lm
576OBJDUMP = objdump
577OBJEXT = o
578OTOOL =
579OTOOL64 =
580PACKAGE = squid
581PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
582PACKAGE_NAME = Squid Web Proxy
583PACKAGE_STRING = Squid Web Proxy 3.5.12
584PACKAGE_TARNAME = squid
585PACKAGE_URL =
586PACKAGE_VERSION = 3.5.12
587PATH_SEPARATOR = :
588PERL = /usr/bin/perl
589PKG_CONFIG = /usr/bin/pkg-config
590PKG_CONFIG_LIBDIR =
591PKG_CONFIG_PATH =
592PO2HTML = off
593PO2TEXT = off
594POD2MAN = /usr/bin/pod2man
595RANLIB = ranlib
596REGEXLIB =
597REPL_LIBS = liblru.a libheap.a
598REPL_OBJS = repl/liblru.a repl/libheap.a
599REPL_POLICIES = lru heap
600RM = /bin/rm -f
601SED = /bin/sed
602SET_MAKE =
603SH = /bin/sh
604SHELL = /bin/bash
605SMBCLIENT = /usr/bin/smbclient
606SNMPLIB = ../lib/snmplib/libsnmplib.la
607SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
608SQUID_CPPUNIT_INC =
609SQUID_CPPUNIT_LA =
610SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
611SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
612SSLLIB =  -lssl -lcrypto  -lgnutls
613STOREID_REWRITE_HELPERS =  file
614STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
615STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
616STORE_TESTS =
617STRIP = strip
618TR = /usr/bin/tr
619TRUE = /bin/true
620URL_REWRITE_HELPERS =  fake
621VERSION = 3.5.12
622WBINFO =
623WIN32_PSAPI =
624XMLLIB = -lxml2
625XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
626XTRA_OBJS =
627abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/lib/profiler
628abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/lib/profiler
629abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
630abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
631ac_ct_AR =
632ac_ct_CC = gcc
633ac_ct_CXX = g++
634ac_ct_DUMPBIN =
635am__include = include
636am__leading_dot = .
637am__quote =
638am__tar = tar --format=ustar -chf - "$$tardir"
639am__untar = tar -xf -
640bindir = ${exec_prefix}/bin
641build = x86_64-pc-linux-gnu
642build_alias = x86_64-linux-gnu
643build_cpu = x86_64
644build_os = linux-gnu
645build_vendor = pc
646builddir = .
647datadir = /usr/share/squid-ssl
648datarootdir = ${prefix}/share
649docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
650dvidir = ${docdir}
651exec_prefix = ${prefix}
652host = x86_64-pc-linux-gnu
653host_alias =
654host_cpu = x86_64
655host_os = linux-gnu
656host_vendor = pc
657htmldir = ${docdir}
658includedir = ${prefix}/include
659infodir = ${prefix}/share/info
660install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
661krb5_config =
662libdir = ${exec_prefix}/lib
663libexecdir = /usr/lib/squid-ssl
664localedir = ${datarootdir}/locale
665localstatedir = /var
666ltdl_LIBOBJS =  lt__strl.o
667ltdl_LTLIBOBJS =  lt__strl.lo
668mandir = /usr/share/man
669mkdir_p = $(MKDIR_P)
670oldincludedir = /usr/include
671pdfdir = ${docdir}
672prefix = /usr
673program_transform_name = s&$$&-ssl&
674psdir = ${docdir}
675runstatedir = ${localstatedir}/run
676sbindir = ${exec_prefix}/sbin
677sharedstatedir = ${prefix}/com
678srcdir = .
679subdirs =  libltdl
680sys_symbol_underscore = no
681sysconfdir = /etc/squid-ssl
682target_alias =
683top_build_prefix = ../../
684top_builddir = ../..
685top_srcdir = ../..
686AM_CFLAGS = $(SQUID_CFLAGS)
687AM_CXXFLAGS = $(SQUID_CXXFLAGS)
688CLEANFILES = testHeaders
689TESTS = testHeaders
690AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
691        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
692        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
693        $(am__append_1)
694LIBPROFILER =
695#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
696COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
697subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
698XPROFSRC = \
699        get_tick.h \
700        Profiler.cc \
701        Profiler.h \
702        xprof_type.h
703
704#libprofiler_la_SOURCES = $(XPROFSRC)
705#noinst_LTLIBRARIES = libprofiler.la
706EXTRA_DIST = $(XPROFSRC)
707all: all-am
708
709.SUFFIXES:
710.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
711$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
712        @for dep in $?; do \
713          case '$(am__configure_deps)' in \
714            *$$dep*) \
715              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
716                && { if test -f $@; then exit 0; else break; fi; }; \
717              exit 1;; \
718          esac; \
719        done; \
720        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lib/profiler/Makefile'; \
721        $(am__cd) $(top_srcdir) && \
722          $(AUTOMAKE) --gnu lib/profiler/Makefile
723Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
724        @case '$?' in \
725          *config.status*) \
726            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
727          *) \
728            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
729            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
730        esac;
731$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
732
733$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
734        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
735
736$(top_srcdir)/configure: # $(am__configure_deps)
737        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
738$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
739        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
740$(am__aclocal_m4_deps):
741
742clean-noinstLTLIBRARIES:
743        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
744        @list='$(noinst_LTLIBRARIES)'; \
745        locs=`for p in $$list; do echo $$p; done | \
746              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
747              sort -u`; \
748        test -z "$$locs" || { \
749          echo rm -f $${locs}; \
750          rm -f $${locs}; \
751        }
752
753libprofiler.la: $(libprofiler_la_OBJECTS) $(libprofiler_la_DEPENDENCIES) $(EXTRA_libprofiler_la_DEPENDENCIES)
754        $(AM_V_CXXLD)$(CXXLINK) $(am_libprofiler_la_rpath) $(libprofiler_la_OBJECTS) $(libprofiler_la_LIBADD) $(LIBS)
755
756clean-checkPROGRAMS:
757        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
758        echo " rm -f" $$list; \
759        rm -f $$list || exit $$?; \
760        test -n "$(EXEEXT)" || exit 0; \
761        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
762        echo " rm -f" $$list; \
763        rm -f $$list
764
765mostlyclean-compile:
766        -rm -f *.$(OBJEXT)
767
768distclean-compile:
769        -rm -f *.tab.c
770
771#include ./$(DEPDIR)/Profiler.Plo
772
773.cc.o:
774#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
775#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
776#       $(am__mv) $$depbase.Tpo $$depbase.Po
777#       $(AM_V_CXX)source='$<' object='$@' libtool=no
778#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
779        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
780
781.cc.obj:
782#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
783#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
784#       $(am__mv) $$depbase.Tpo $$depbase.Po
785#       $(AM_V_CXX)source='$<' object='$@' libtool=no
786#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
787        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
788
789.cc.lo:
790#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
791#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
792#       $(am__mv) $$depbase.Tpo $$depbase.Plo
793#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
794#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
795        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
796
797mostlyclean-libtool:
798        -rm -f *.lo
799
800clean-libtool:
801        -rm -rf .libs _libs
802
803ID: $(am__tagged_files)
804        $(am__define_uniq_tagged_files); mkid -fID $$unique
805tags: tags-am
806TAGS: tags
807
808tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
809        set x; \
810        here=`pwd`; \
811        $(am__define_uniq_tagged_files); \
812        shift; \
813        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
814          test -n "$$unique" || unique=$$empty_fix; \
815          if test $$# -gt 0; then \
816            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
817              "$$@" $$unique; \
818          else \
819            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
820              $$unique; \
821          fi; \
822        fi
823ctags: ctags-am
824
825CTAGS: ctags
826ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
827        $(am__define_uniq_tagged_files); \
828        test -z "$(CTAGS_ARGS)$$unique" \
829          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
830             $$unique
831
832GTAGS:
833        here=`$(am__cd) $(top_builddir) && pwd` \
834          && $(am__cd) $(top_srcdir) \
835          && gtags -i $(GTAGS_ARGS) "$$here"
836cscopelist: cscopelist-am
837
838cscopelist-am: $(am__tagged_files)
839        list='$(am__tagged_files)'; \
840        case "$(srcdir)" in \
841          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
842          *) sdir=$(subdir)/$(srcdir) ;; \
843        esac; \
844        for i in $$list; do \
845          if test -f "$$i"; then \
846            echo "$(subdir)/$$i"; \
847          else \
848            echo "$$sdir/$$i"; \
849          fi; \
850        done >> $(top_builddir)/cscope.files
851
852distclean-tags:
853        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
854
855# Recover from deleted '.trs' file; this should ensure that
856# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
857# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
858# to avoid problems with "make -n".
859.log.trs:
860        rm -f $< $@
861        $(MAKE) $(AM_MAKEFLAGS) $<
862
863# Leading 'am--fnord' is there to ensure the list of targets does not
864# expand to empty, as could happen e.g. with make check TESTS=''.
865am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
866am--force-recheck:
867        @:
868
869$(TEST_SUITE_LOG): $(TEST_LOGS)
870        @$(am__set_TESTS_bases); \
871        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
872        redo_bases=`for i in $$bases; do \
873                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
874                    done`; \
875        if test -n "$$redo_bases"; then \
876          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
877          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
878          if $(am__make_dryrun); then :; else \
879            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
880          fi; \
881        fi; \
882        if test -n "$$am__remaking_logs"; then \
883          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
884               "recursion detected" >&2; \
885        elif test -n "$$redo_logs"; then \
886          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
887        fi; \
888        if $(am__make_dryrun); then :; else \
889          st=0;  \
890          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
891          for i in $$redo_bases; do \
892            test -f $$i.trs && test -r $$i.trs \
893              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
894            test -f $$i.log && test -r $$i.log \
895              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
896          done; \
897          test $$st -eq 0 || exit 1; \
898        fi
899        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
900        ws='[   ]'; \
901        results=`for b in $$bases; do echo $$b.trs; done`; \
902        test -n "$$results" || results=/dev/null; \
903        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
904        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
905        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
906        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
907        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
908        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
909        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
910        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
911          success=true; \
912        else \
913          success=false; \
914        fi; \
915        br='==================='; br=$$br$$br$$br$$br; \
916        result_count () \
917        { \
918            if test x"$$1" = x"--maybe-color"; then \
919              maybe_colorize=yes; \
920            elif test x"$$1" = x"--no-color"; then \
921              maybe_colorize=no; \
922            else \
923              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
924            fi; \
925            shift; \
926            desc=$$1 count=$$2; \
927            if test $$maybe_colorize = yes && test $$count -gt 0; then \
928              color_start=$$3 color_end=$$std; \
929            else \
930              color_start= color_end=; \
931            fi; \
932            echo "$${color_start}# $$desc $$count$${color_end}"; \
933        }; \
934        create_testsuite_report () \
935        { \
936          result_count $$1 "TOTAL:" $$all   "$$brg"; \
937          result_count $$1 "PASS: " $$pass  "$$grn"; \
938          result_count $$1 "SKIP: " $$skip  "$$blu"; \
939          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
940          result_count $$1 "FAIL: " $$fail  "$$red"; \
941          result_count $$1 "XPASS:" $$xpass "$$red"; \
942          result_count $$1 "ERROR:" $$error "$$mgn"; \
943        }; \
944        {                                                               \
945          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
946            $(am__rst_title);                                           \
947          create_testsuite_report --no-color;                           \
948          echo;                                                         \
949          echo ".. contents:: :depth: 2";                               \
950          echo;                                                         \
951          for b in $$bases; do echo $$b; done                           \
952            | $(am__create_global_log);                                 \
953        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
954        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
955        if $$success; then                                              \
956          col="$$grn";                                                  \
957         else                                                           \
958          col="$$red";                                                  \
959          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
960        fi;                                                             \
961        echo "$${col}$$br$${std}";                                      \
962        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
963        echo "$${col}$$br$${std}";                                      \
964        create_testsuite_report --maybe-color;                          \
965        echo "$$col$$br$$std";                                          \
966        if $$success; then :; else                                      \
967          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
968          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
969            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
970          fi;                                                           \
971          echo "$$col$$br$$std";                                        \
972        fi;                                                             \
973        $$success || exit 1
974
975check-TESTS:
976        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
977        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
978        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
979        @set +e; $(am__set_TESTS_bases); \
980        log_list=`for i in $$bases; do echo $$i.log; done`; \
981        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
982        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
983        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
984        exit $$?;
985recheck: all $(check_PROGRAMS)
986        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
987        @set +e; $(am__set_TESTS_bases); \
988        bases=`for i in $$bases; do echo $$i; done \
989                 | $(am__list_recheck_tests)` || exit 1; \
990        log_list=`for i in $$bases; do echo $$i.log; done`; \
991        log_list=`echo $$log_list`; \
992        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
993                am__force_recheck=am--force-recheck \
994                TEST_LOGS="$$log_list"; \
995        exit $$?
996testHeaders.log: testHeaders
997        @p='testHeaders'; \
998        b='testHeaders'; \
999        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1000        --log-file $$b.log --trs-file $$b.trs \
1001        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1002        "$$tst" $(AM_TESTS_FD_REDIRECT)
1003.test.log:
1004        @p='$<'; \
1005        $(am__set_b); \
1006        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1007        --log-file $$b.log --trs-file $$b.trs \
1008        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1009        "$$tst" $(AM_TESTS_FD_REDIRECT)
1010#.test$(EXEEXT).log:
1011#       @p='$<'; \
1012#       $(am__set_b); \
1013#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1014#       --log-file $$b.log --trs-file $$b.trs \
1015#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1016#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1017
1018distdir: $(DISTFILES)
1019        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1020        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1021        list='$(DISTFILES)'; \
1022          dist_files=`for file in $$list; do echo $$file; done | \
1023          sed -e "s|^$$srcdirstrip/||;t" \
1024              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1025        case $$dist_files in \
1026          */*) $(MKDIR_P) `echo "$$dist_files" | \
1027                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1028                           sort -u` ;; \
1029        esac; \
1030        for file in $$dist_files; do \
1031          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1032          if test -d $$d/$$file; then \
1033            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1034            if test -d "$(distdir)/$$file"; then \
1035              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1036            fi; \
1037            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1038              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1039              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1040            fi; \
1041            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1042          else \
1043            test -f "$(distdir)/$$file" \
1044            || cp -p $$d/$$file "$(distdir)/$$file" \
1045            || exit 1; \
1046          fi; \
1047        done
1048check-am: all-am
1049        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1050        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1051check: check-am
1052all-am: Makefile $(LTLIBRARIES)
1053installdirs:
1054install: install-am
1055install-exec: install-exec-am
1056install-data: install-data-am
1057uninstall: uninstall-am
1058
1059install-am: all-am
1060        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1061
1062installcheck: installcheck-am
1063install-strip:
1064        if test -z '$(STRIP)'; then \
1065          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1066            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1067              install; \
1068        else \
1069          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1070            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1071            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1072        fi
1073mostlyclean-generic:
1074        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1075        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1076        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1077
1078clean-generic:
1079        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1080
1081distclean-generic:
1082        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1083        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1084
1085maintainer-clean-generic:
1086        @echo "This command is intended for maintainers to use"
1087        @echo "it deletes files that may require special tools to rebuild."
1088clean: clean-am
1089
1090clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1091        clean-noinstLTLIBRARIES mostlyclean-am
1092
1093distclean: distclean-am
1094        -rm -rf ./$(DEPDIR)
1095        -rm -f Makefile
1096distclean-am: clean-am distclean-compile distclean-generic \
1097        distclean-tags
1098
1099dvi: dvi-am
1100
1101dvi-am:
1102
1103html: html-am
1104
1105html-am:
1106
1107info: info-am
1108
1109info-am:
1110
1111install-data-am:
1112
1113install-dvi: install-dvi-am
1114
1115install-dvi-am:
1116
1117install-exec-am:
1118
1119install-html: install-html-am
1120
1121install-html-am:
1122
1123install-info: install-info-am
1124
1125install-info-am:
1126
1127install-man:
1128
1129install-pdf: install-pdf-am
1130
1131install-pdf-am:
1132
1133install-ps: install-ps-am
1134
1135install-ps-am:
1136
1137installcheck-am:
1138
1139maintainer-clean: maintainer-clean-am
1140        -rm -rf ./$(DEPDIR)
1141        -rm -f Makefile
1142maintainer-clean-am: distclean-am maintainer-clean-generic
1143
1144mostlyclean: mostlyclean-am
1145
1146mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1147        mostlyclean-libtool
1148
1149pdf: pdf-am
1150
1151pdf-am:
1152
1153ps: ps-am
1154
1155ps-am:
1156
1157uninstall-am:
1158
1159.MAKE: check-am install-am install-strip
1160
1161.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1162        clean-checkPROGRAMS clean-generic clean-libtool \
1163        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1164        distclean-compile distclean-generic distclean-libtool \
1165        distclean-tags distdir dvi dvi-am html html-am info info-am \
1166        install install-am install-data install-data-am install-dvi \
1167        install-dvi-am install-exec install-exec-am install-html \
1168        install-html-am install-info install-info-am install-man \
1169        install-pdf install-pdf-am install-ps install-ps-am \
1170        install-strip installcheck installcheck-am installdirs \
1171        maintainer-clean maintainer-clean-generic mostlyclean \
1172        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1173        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1174        uninstall-am
1175
1176.PRECIOUS: Makefile
1177
1178
1179$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1180
1181testHeaders: $(srcdir)/*.h
1182        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1183
1184.PHONY: testHeaders
1185
1186# Tell versions [3.59,3.63) of GNU make to not export all variables.
1187# Otherwise a system limit (for SysV at least) may be exceeded.
1188.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.